@echo off
set DELPHI=c:\progra~1\borland\delphi5
dcc32 -U..\..\autoupdate\component explore2fs.dpr

..\tools\reconfig --dfm=ex2explore.dfm
call autoversion

cd ..\explore2fs
set VERSION=%AUTO_VERSION_NAME%


cd ..
goto source

set ZIPNAME=explore2fs-%VERSION%.zip
echo Writing %ZIPNAME%
if exist %ZIPNAME% del %ZIPNAME%
copy ..\docs\readme.txt
copy ..\docs\changes.txt
copy ..\source\copying.txt
c:\apps\info-zip\zip.exe %ZIPNAME% explore2fs.exe diskio2.dll readme.txt changes.txt copying.txt
del readme.txt
del changes.txt
del copying.txt

if not "%1"=="install" goto end

rem Install the autoupgrade....
set AUTOPATH=\\uranus.it.swin.edu.au\itig\autoupgrade\explore2fs
if exist %AUTOPATH%\VERSION goto install
net use \\uranus.it.swin.edu.au\itig /USER:jn
if exist %AUTOPATH%\VERSION goto install
echo "Could not install.  Do you need a password?"
goto end

:install
echo Installing
copy explore2fs.exe %AUTOPATH%\explore2fs.exe
copy ..\..\autoupdate\autohelp.exe %AUTOPATH%\autohelp.exe
echo %AUTO_VERSION_NO% > %AUTOPATH%\VERSION

set CVS_RSH=c:\apps\ssh.exe
cd ..
cvs tag -F explore2fs-%AUTO_TAG_VERSION%

:source
rem make a source zip
set ZIPNAME=explore2fs\explore2fs-%VERSION%.src.zip
echo Writing %ZIPNAME%
if exist %ZIPNAME% del %ZIPNAME%
rem c:\apps\info-zip\zip.exe -r %ZIPNAME% diskio docs source setup.txt -xi *.~* *.dcu
c:\apps\7za.exe a -tzip -r -x!samples %ZIPNAME% diskio docs source setup.txt -x!*.~* -x!*.dcu
cd source

:end
cd ..\source
