unit reiserfs;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TReiserForm = class(TForm)
    Label1: TLabel;
    Button1: TButton;
    CheckBox1: TCheckBox;
    Label2: TLabel;
    procedure Label2MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Label2MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Label2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetMessage(Msg : String);
    function DontShowAgain : Boolean;
  end;

var
  ReiserForm: TReiserForm;

implementation

uses ShellAPI;

procedure TReiserForm.SetMessage(Msg : String);
begin
   Label1.Caption := Msg;   
end;

function TReiserForm.DontShowAgain : Boolean;
begin
   Result := CheckBox1.Checked;
end;

{$R *.DFM}

procedure TReiserForm.Label2MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
   TLabel(Sender).Font.Color := clRed;
end;

procedure TReiserForm.Label2MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
   TLabel(Sender).Font.Color := clBlue;
end;

procedure TReiserForm.Label2Click(Sender: TObject);
begin
   ShellExecute(Handle, 'open', PChar(TLabel(Sender).Caption), nil, nil, SW_SHOWNORMAL)
end;

end.
