program explore2fs;

{%File '..\docs\changes.txt'}
{%File '..\docs\Readme.txt'}
{$R 'dllrc.res' 'dllrc.rc'}

uses
  Forms,
  ex2 in 'ex2.pas',
  LinuxFS in 'LinuxFS.pas',
  WinIOCTL in 'WinIOCTL.pas',
  ex2explore in 'ex2explore.pas' {MainForm},
  properties in 'properties.pas' {PropertiesDlg},
  about in 'about.pas' {AboutBox},
  options in 'options.pas' {OptionsDlg},
  Partition in 'Partition.pas',
  RegUtil in 'RegUtil.pas',
  BinFile in 'BinFile.pas',
  time in 'time.pas',
  INode in 'INode.pas',
  Blocks in 'Blocks.pas',
  Directory in 'Directory.pas',
  Utils in 'Utils.pas',
  LinuxFile in 'LinuxFile.pas',
  format in 'format.pas' {FormatForm},
  saving in 'saving.pas' {SavingDlg},
  BlockDev in 'BlockDev.pas',
  BetterProgressBar in 'Components\BetterProgressBar.pas',
  OpenDir in 'Components\OpenDir.pas',
  DiskIO in '95Thunk\DiskIO.pas',
  QTThunkU in '95Thunk\QTThunkU.pas',
  users in 'users.pas',
  CreateLink in 'CreateLink.pas' {CreateLinkDlg},
  CreateDevice in 'CreateDevice.pas' {CreateDeviceDlg},
  TarFile in 'tar\TarFile.pas',
  DropFileListView in 'Components\DropFileListView.pas',
  FileDropSource in 'FileDropSource.pas',
  Native in 'Native.pas',
  WinBinFile in 'WinBinFile.pas',
  lvm2 in 'lvm2.pas',
  Unicode in 'Unicode.pas',
  reiserfs in 'reiserfs.pas' {ReiserForm},
  ls in '\\gw\jnewbigin\working\explore2fs\source\ls.pas';

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'Explore2fs';
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TReiserForm, ReiserForm);
  Application.Run;
end.
